from slashdb.dbproxies.sqlalchemy_sdb.model import SQLAlchemyModel
from slashdb.dbproxies.sqlalchemy_sdb.model import SQLAlchemyModuleMaker

from .dbconfig import TrinoDBConfig
from .dataproxy import TrinoDataProxy
from .constants import DB_TYPES
from .patches import patch_trino

__version__ = '1.0.0'

patch_trino()


class TrinoModel(SQLAlchemyModel):
    db_types = DB_TYPES


class TrinoModuleMaker(SQLAlchemyModuleMaker):
    db_types = DB_TYPES
    model_class = TrinoModel


ModuleMaker = TrinoModuleMaker
Model = TrinoModel
DataProxy = TrinoDataProxy
DBConfig = TrinoDBConfig
DB_TYPES = DB_TYPES
